net.sourceforge.pmd.lang.ecmascript.rule

## Class EcmascriptRuleViolationFactory

- java.lang.Object
- - net.sourceforge.pmd.lang.rule.AbstractRuleViolationFactory
  - - net.sourceforge.pmd.lang.ecmascript.rule.EcmascriptRuleViolationFactory

- All Implemented Interfaces:
    RuleViolationFactory

      public final class EcmascriptRuleViolationFactory
      extends AbstractRuleViolationFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EcmascriptRuleViolationFactory` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RuleViolation` | `createRuleViolation(Rule rule, RuleContext ruleContext, Node node, String message)`
    `protected RuleViolation` | `createRuleViolation(Rule rule, RuleContext ruleContext, Node node, String message, int beginLine, int endLine)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.rule.AbstractRuleViolationFactory

      `addViolation, addViolation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final EcmascriptRuleViolationFactory INSTANCE

  - ### Method Detail

    - #### createRuleViolation

          protected RuleViolation createRuleViolation(Rule rule,
                                          RuleContext ruleContext,
                                          Node node,
                                          String message)

      Specified by:
        `createRuleViolation` in class `AbstractRuleViolationFactory`

    - #### createRuleViolation

          protected RuleViolation createRuleViolation(Rule rule,
                                          RuleContext ruleContext,
                                          Node node,
                                          String message,
                                          int beginLine,
                                          int endLine)

      Specified by:
        `createRuleViolation` in class `AbstractRuleViolationFactory`

Copyright © 2002-2013 InfoEther. All Rights Reserved.